Get the time spents of a person

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/persons/{person_id}/time-spents

Get the time spent entries of a person for a period. Give both start_date and end_date. Without them, the route returns all the entries. An administrator and the person get all the entries. A manager gets the entries of the projects they manage. A supervisor gets the entries of the projects they supervise, for the task types of their departments. A supervisor without department gets all the task types. Other users cannot read the time spents of other persons. You cannot read the time spents of a bot. The manager and supervisor roles are the roles held on the project team.

Path parameters

  • person_id string(uuid) Required

    Person unique identifier

Query parameters

  • start_date string(date)

    First date of the period, in the YYYY-MM-DD format

  • end_date string(date)

    Last date of the period, in the YYYY-MM-DD format

Responses

  • 200 application/json

    The list of time spent entries

    Hide response attributes Show response attributes object
    • id string(uuid)

      Time spent unique identifier

    • person_id string(uuid)

      Person unique identifier

    • project_id string(uuid)

      Project of the task

    • task_type_id string(uuid)

      Task type of the task

    • duration number(float)

      Time spent duration in hours

    • date string(date)

      Date of time spent entry

  • 400

    Only one date of the period is given, or a date is not valid

  • 403

    You cannot read the time spents of this person, or the person is a bot

  • 404

    The person does not exist

GET /data/persons/{person_id}/time-spents
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents?start_date=2022-07-01&end_date=2022-07-31" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "start_date": "2022-07-01",
    "end_date": "2022-07-31"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "person_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "project_id": "d57d91d7-f1a8-7998-d3a3-8a786315f581",
    "task_type_id": "e68ea2e8-a2b9-8aa9-e4b4-9b897426a692",
    "duration": 8.5,
    "date": "2022-07-12"
  }
]